Package org.eclipse.ui.intro.config

## Interface IIntroContentProviderSite

    public interface IIntroContentProviderSite

An interface between a content provider and its parent container. A content provider is responsible for creating dynamic intro content, while the content provider site is responsible for reflowing the new content in the intro part. An intro content provider site may have more than one content provider. The id of the content provider can be used to distinguish the source of the reflow.

This interface is not intended to be implemented or extended by clients.

Since:
  3.0.1
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `reflow​(IIntroContentProvider provider, boolean incremental)` This method will be called when the IIntroContentProvider is notified that its content has become stale.

### Method Detail

#### reflow

    void reflow​(IIntroContentProvider provider,
                boolean incremental)

This method will be called when the IIntroContentProvider is notified that its content has become stale. For an HTML presentation, the whole page should be regenerated. An SWT presentation should cause the page's layout to be updated.

Parameters:
  `provider` - the content provider that requests a reflow
  `incremental` - if `true`, an attempt should be made to incrementally reflow the page. Otherwise, the page should be recreated from scratch. This is just a hint and the implementation of the interface can ignore it.